---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2022-03-08T11:16:46Z"
  generation: 1
  labels:
    control-plane: controller-manager
    name: jaeger-operator
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:control-plane: {}
          f:name: {}
        f:ownerReferences: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:name: {}
    manager: catalog
    operation: Update
    time: "2022-03-08T11:16:46Z"
  name: jaeger-operator-metrics-monitor
  namespace: openshift-operators
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: ClusterServiceVersion
    name: jaeger-operator.v1.30.0
    uid: 7e3a42ee-aeea-41c1-ab34-f7d1546c0609
  resourceVersion: "32470"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-operators/servicemonitors/jaeger-operator-metrics-monitor
  uid: 859fa8e4-87aa-430f-bd45-b50bd6f4b9fe
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    path: /metrics
    scheme: https
    scrapeTimeout: 10s
    targetPort: 8443
    tlsConfig:
      insecureSkipVerify: true
  selector:
    matchLabels:
      name: jaeger-operator
